#include <iostream>
using namespace std;

int main()
{
    int a, b, x, y;
    cin >> a >> b >> x >> y;
    if (a-x==0 && b-y==0)
        cout << "nijedan" << endl;
    else if (a-x==0 && b-y!=0)
        cout << "drugi" << endl;
    else if (a-x!=0 && b-y==0)
        cout << "prvi" << endl;
    else if (a-x!=0 && b-y!=0)
        cout << "?" << endl;
    return 0;
}